import initCtx from "@/utils/ctx.js";

export default function () {
	const {utils, Tea} = initCtx(this)

	this.enable = function () {
		utils.confirm("确定要启用多因子认证吗？", function () {
			this.$post(".enable")
				.success(function () {
					utils.reload()
				})
		})
	}

	this.disable = function () {
		utils.confirm("确定要停用多因子认证吗？", function () {
			this.$post(".disable")
				.success(function () {
					utils.reload()
				})
		})
	}

	this.updateOtp = function () {
		utils.confirm("确定要重新生成OTP密钥吗？", function () {
			this.$post(".updateOtp")
				.post()
				.success(function () {
					utils.successRefresh("已重新生成OTP")
				})
		})
	}
}